//
//  ViewController.swift
//  PickerView
//
//  Created by David Reed on 3/26/19.
//  Copyright © 2019 David Reed. All rights reserved.
//

import UIKit

class ViewController: UIViewController,
                      UIPickerViewDataSource,
                      UIPickerViewDelegate {

    @IBOutlet weak var outputLabel: UILabel!
    
    var choices = ["Atlanta", "Boston", "Chicago", "Dallas"]
    
    func numberOfComponents(in pickerView: UIPickerView) -> Int {
        return 1
    }

    func pickerView(_ pickerView: UIPickerView,
                    numberOfRowsInComponent component: Int) -> Int {
        return choices.count
    }

    func pickerView(_ pickerView: UIPickerView, titleForRow row: Int,
                    forComponent component: Int) -> String? {
        return choices[row]
    }

    func pickerView(_ pickerView: UIPickerView, didSelectRow row: Int,
                    inComponent component: Int) {
        outputLabel.text = choices[row]
    }
}

